### Function

# Gtk PaperSize new_from_key_file

#### Declaration [src]

    GtkPaperSize*
    gtk_paper_size_new_from_key_file (
      GKeyFile* key_file,
      const char* group_name,
      GError** error
    )

#### Description [src]

Reads a paper size from the group `group_name` in the key file `key_file`.

#### Parameters

`key_file` | `GKeyFile*`
| The `GKeyFile` to retrieve the papersize from.
| The data is owned by the caller of the function.
`group_name` | `const char*`
| The name of the group in the key file to read, or `NULL` to read the first group.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GtkPaperSize`
| A new `GtkPaperSize` object with the restored paper size.
| The caller of the function takes ownership of the data, and is responsible for freeing it.